Subject: Re: [PATCH] powerpc: Fix WARN_ON in decrementer_check_overflow

From: Benjamin Herrenschmidt <[email-masked]>
Date: Fri, 10 Feb 2012 09:45:17 +1100

On Thu, 2012-02-09 at 14:25 -0800, Hugh Dickins wrote:
> 
> Okay, thanks for the update, that's equivalent to the get_cpu_var
> plus put_cpu_var patch I had generally been running with successfully.
> 
> (I was not at all confident that it was a sufficient fix, and have
> to say "generally" above because one time I got something that looked
> like recursive calls overflowing the stack, and IIRC something "irq"
> did appear in each frame of the trace.  But probably no connection,
> never seen again, and I don't recall even which -rc or -next it was.)

If you ever see that again, please shoot me the log !

Cheers,
Ben.